Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaVariable

All Superinterfaces:
  IAdaptable, IDebugElement, IJavaModifiers, IValueModification, IVariable

All Known Subinterfaces:
  IJavaFieldVariable

public interface IJavaVariable
extends IVariable, IJavaModifiers

A local variable, field slot, or receiver (this) in a Java virtual machine.

Clients are not intended to implement this interface.

See Also:
  `IVariable`

Method Summary
`IJavaType` | `getJavaType()` Returns the declared type of this variable.
`String` | `getSignature()` Returns the JNI-style signature for the declared type of this variable, or `null` if the type associated with the signature is not yet loaded in the target VM.
`boolean` | `isLocal()` Returns whether this variable is local.

Methods inherited from interface org.eclipse.debug.core.model.IVariable
`getName, getReferenceTypeName, getValue, hasValueChanged`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IValueModification
`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaModifiers
`isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

Method Detail

### getSignature

    public String getSignature()
                        throws DebugException

  Returns the JNI-style signature for the declared type of this variable, or `null` if the type associated with the signature is not yet loaded in the target VM.

  Returns:
    signature, or `null` if not accessible
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
    - The type associated with the signature is not yet loaded

### getJavaType

    public IJavaType getJavaType()
                          throws DebugException

  Returns the declared type of this variable.

  Returns:
    the declared type of this variable
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
    - The type associated with the signature is not yet loaded
  Since:
    2.0

### isLocal

    public boolean isLocal()
                    throws DebugException

  Returns whether this variable is local.

  Returns:
    whether this variable is a local variable
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.